"======================================================================
|
| Copyright 2004 Mike Anderson
| Written by Mike Anderson
|
| This file is part of Mumble, a development environment for GNU Smalltalk.
|
| Mumble is free software; you can redistribute it and/or modify it
| under the terms of the GNU General Public License as published by the Free
| Software Foundation; either version 2, or (at your option) any later version.
| 
| Mumble is distributed in the hope that it will be useful, but WITHOUT
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
| FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
| details.
| 
| You should have received a copy of the GNU General Public License along with
| Mumble; see the file COPYING.  If not, write to the Free Software
| Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
|
 ======================================================================
"

Namespace current: GTK!

CStruct subclass: #GdkRectangle
	declaration: #( 
		#(#x #int)
		#(#y #int)
		#(#width #int)
		#(#height #int)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!

GdkRectangle variableWordSubclass: #GtkAllocation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gtk'!

'GtkRequisition' printNl!
CStruct subclass: #GtkRequisition
	declaration: #( 
		#(#width #int)
		#(#height #int)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!

CStruct variableWordSubclass: #GdkEvent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gtk'!

GdkEvent subclass: #GdkEventAny
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventExpose' printNl!
GdkEvent subclass: #GdkEventExpose
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#area #{GdkRectangle})
		#(#region #(#ptr #int))
		#(#count #int)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventNoExpose' printNl!
GdkEvent subclass: #GdkEventNoExpose
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventVisibility' printNl!
GdkEvent subclass: #GdkEventVisibility
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#state #int)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventMotion' printNl!
"Multiple declarations..."
GdkEvent subclass: #GdkEventMotion
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#time #uInt)
		#(#x #double)
		#(#y #double)
		#(#axes #(#ptr #double))
		#(#state #int)
		#(#isHint #short)
		#(#device #(#ptr #{GdkDevice}))
		#(#xRoot #double)
		#(#yRoot #double)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventButton' printNl!
"Multiple declarations..."
GdkEvent subclass: #GdkEventButton
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#time #uInt)
		#(#x #double)
		#(#y #double)
		#(#axes #(#ptr #double))
		#(#state #int)
		#(#button #int)
		#(#device #(#ptr #{GdkDevice}))
		#(#xRoot #double)
		#(#yRoot #double)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventScroll' printNl!
"Multiple declarations..."
GdkEvent subclass: #GdkEventScroll
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#time #uInt)
		#(#x #double)
		#(#y #double)
		#(#state #int)
		#(#direction #int)
		#(#device #(#ptr #{GdkDevice}))
		#(#xRoot #double)
		#(#yRoot #double)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventKey' printNl!
GdkEvent subclass: #GdkEventKey
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#time #uInt)
		#(#state #int)
		#(#keyval #int)
		#(#length #int)
		#(#string #string)
		#(#hardwareKeycode #uShort)
		#(#group #uChar)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventCrossing' printNl!
GdkEvent subclass: #GdkEventCrossing
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#subwindow #(#ptr #GdkWindow))
		#(#time #uInt)
		#(#x #double)
		#(#y #double)
		#(#xRoot #double)
		#(#yRoot #double)
		#(#mode #int)
		#(#detail #int)
		#(#focus #int)
		#(#state #int)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventFocus' printNl!
GdkEvent subclass: #GdkEventFocus
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#in #short)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventConfigure' printNl!
"Multiple declarations..."
GdkEvent subclass: #GdkEventConfigure
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#x #int)
		#(#y #int)
		#(#width #int)
		#(#height #int)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventProperty' printNl!
GdkEvent subclass: #GdkEventProperty
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#atom #(#ptr #int))
		#(#time #uInt)
		#(#state #int)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventSelection' printNl!
GdkEvent subclass: #GdkEventSelection
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#selection #(#ptr #int))
		#(#target #(#ptr #int))
		#(#property #(#ptr #int))
		#(#time #uInt)
		#(#requestor #int)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventProximity' printNl!
GdkEvent subclass: #GdkEventProximity
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#time #uInt)
		#(#device #(#ptr #{GdkDevice}))
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventClient' printNl!
GdkEvent subclass: #GdkEventClient
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#messageType #(#ptr #int))
		#(#dataFormat #uShort)
		#(#data #(#array #byte 8))
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventSetting' printNl!
GdkEvent subclass: #GdkEventSetting
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#action #int)
		#(#name #(#ptr #char))
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventWindowState' printNl!
GdkEvent subclass: #GdkEventWindowState
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#changedMask #int)
		#(#newWindowState #int)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!
'GdkEventDND' printNl!
"Multiple declarations..."
GdkEvent subclass: #GdkEventDND
	declaration: #( 
		#(#type #int)
		#(#window #(#ptr #GdkWindow))
		#(#sendEvent #char)
		#(#context #(#ptr #{GdkDragContext}))
		#(#time #uInt)
		#(#xRoot #short)
		#(#yRoot #short)
	)
	classVariableNames: ''
	poolDictionaries: ''
	category: ''!
!

Namespace current: Smalltalk!
