"======================================================================
|
|   Smalltalk GUI browser initialization script
|
|
 ======================================================================"


"======================================================================
|
| Copyright 2004 Mike Anderson
| Written by Mike Anderson
|
| This file is part of Mumble, a development environment for GNU Smalltalk.
|
| Mumble is free software; you can redistribute it and/or modify it
| under the terms of the GNU General Public License as published by the Free
| Software Foundation; either version 2, or (at your option) any later version.
| 
| Mumble is distributed in the hope that it will be useful, but WITHOUT
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
| FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
| details.
| 
| You should have received a copy of the GNU General Public License along with
| Mumble; see the file COPYING.  If not, write to the Free Software
| Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
|
 ======================================================================
"

PackageLoader fileInPackage: 'GTK'!

GTK addSubspace: #GUI!

| verbose |

verbose := FileStream verbose: true.

Namespace current: GTK.GUI.

#(
	"Tweaks to Gtk"
	'GdkChanges.st'
	'GtkChanges.st'
	
	"Dependancy system from Tk Browser"
	'Gui.st'
	'GuiState.st'
	'GuiData.st'
	'View.st'
	'Primitive.st'
	'Manager.st'
	
	"Utility"
	'EventSource.st'
	
	"Basic windows"
	'MenuItemList.st'
	'MenuItemView.st'
	'PopupMenuView.st'
	'WindowedView.st'
	'WindowView.st'
	
	"Primitives"
	'PCustom.st'
	'PTree.st'
	'PScrollBox.st'
	'PLabel.st'
) do: 
	[ :file | ('Filing in ', file) printNl.
	FileStream fileIn: file ].
!
