"======================================================================
|
|   Smalltalk GUI base class for widget wrappers with publish/subscribe
|
|
 ======================================================================"


"======================================================================
|
| Copyright 2004 Mike Anderson
| Written by Mike Anderson.
|
| This file is part of GNU Smalltalk.
|
| GNU Smalltalk is free software; you can redistribute it and/or modify it
| under the terms of the GNU General Public License as published by the Free
| Software Foundation; either version 2, or (at your option) any later version.
| 
| GNU Smalltalk is distributed in the hope that it will be useful, but WITHOUT
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
| FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
| details.
| 
| You should have received a copy of the GNU General Public License along with
| GNU Smalltalk; see the file COPYING.  If not, write to the Free Software
| Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
|
 ======================================================================
"
	
GTK.GUI.Primitive subclass: #MenuItemView
	instanceVariableNames: 'category label selector receiver wgt'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GUI-Framework'!

GTK.GUI.MenuItemView class methodsFor: 'instance creation'!

category: aCategory label: aLabel selector: aSelector receiver: aReceiver
    ^(self basicNew) 
		category: aCategory label: aLabel selector: aSelector receiver: aReceiver;
		buildWidgets;
		yourself.
!
!

GTK.GUI.MenuItemView methodsFor: 'initialization'!

category: aCategory label: aLabel selector: aSelector receiver: aReceiver
    category := aCategory.
    label := aLabel.
    selector := aSelector.
    receiver := aReceiver.
!

buildWidgets
    super buildWidgets.
    wgt := (GtkMenuItem newWithLabel: label)
		on: 'activate' send: selector to: receiver;
		show;
		yourself.
	"wgt ref.
	self addToBeFinalized."
"finalize
	wgt unref."
!
!

GTK.GUI.MenuItemView methodsFor: 'accessing'!

external 
    ^wgt
!

label
	^label
!

category
    ^category
!
!
