"======================================================================
|
| Copyright 2004 Mike Anderson
| Written by Mike Anderson
|
| This file is part of Mumble, a development environment for GNU Smalltalk.
|
| Mumble is free software; you can redistribute it and/or modify it
| under the terms of the GNU General Public License as published by the Free
| Software Foundation; either version 2, or (at your option) any later version.
| 
| Mumble is distributed in the hope that it will be useful, but WITHOUT
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
| FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
| details.
| 
| You should have received a copy of the GNU General Public License along with
| Mumble; see the file COPYING.  If not, write to the Free Software
| Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
|
 ======================================================================
"

WindowedView subclass: #PCustom
	instanceVariableNames: 'wgt buildBlock attachBlock externalBlock'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mumble-Main'!

PCustom methodsFor: 'initialization'!

buildWidgets
	buildBlock ifNotNil: [ :b | b value: self ].
!

attachViews
	(childViews notNil and: [ attachBlock notNil ]) ifTrue:
		[ childViews do: 
			[ :each |
			attachBlock value: self value: each ] ].
!
!

PCustom methodsFor: 'accessing'!

widget: aWidget
	wgt := aWidget
!

widget
	^wgt
!

add: aView
	super add: aView.
	attachBlock ifNotNil: [ :b | b value: self value: aView ].
!

buildBlock: aBlock
	aBlock numArgs = 1 ifFalse: 
		[ self error: 'buildBlock should take one argument (the View)' ].
	buildBlock := aBlock.
	aBlock value: self.
!

attachBlock: aBlock
	aBlock numArgs = 2 ifFalse: 
		[ self error: 'attachBlock should take two arguments (the View and the child to be attached)' ].
	attachBlock := aBlock.
!

externalBlock: aBlock
	aBlock numArgs = 1 ifFalse: 
		[ self error: 'externalBlock should take one argument (the View)' ].
	externalBlock := aBlock.
!

external
	externalBlock ifNotNil: 
		[ :eb | ^eb value: self ].
	^wgt.
!
!
