"======================================================================
|
| Copyright 2004 Mike Anderson
| Written by Mike Anderson
|
| This file is part of Mumble, a development environment for GNU Smalltalk.
|
| Mumble is free software; you can redistribute it and/or modify it
| under the terms of the GNU General Public License as published by the Free
| Software Foundation; either version 2, or (at your option) any later version.
| 
| Mumble is distributed in the hope that it will be useful, but WITHOUT
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
| FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
| details.
| 
| You should have received a copy of the GNU General Public License along with
| Mumble; see the file COPYING.  If not, write to the Free Software
| Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
|
 ======================================================================
"

GTK.GUI.Primitive subclass: #PopupMenuView
	instanceVariableNames: 'triggerWgt menuWgt itemWgts lastTime'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GUI-Framework'!
	
PopupMenuView methodsFor: 'initialization'!

buildMenuFrom: aMenuItemList
    menuWgt := (GtkMenu new) show; yourself.
	itemWgts := Set new.
    aMenuItemList byCategory
	do: 
		[ :cat |
	    cat do: 
			[ :each | | mi |
			mi := each external.
			itemWgts add: mi.
			mi ref.
			(mi propertiesAt: 'parent') ifNotNil: 
				[ :p | p remove: mi.].
			menuWgt append: mi. 
			mi show.
			mi unref. ]. ]
	separatedBy: 
		[ | it |
	    it := (GtkSeparatorMenuItem new) show; yourself.
	    menuWgt append: it. ].
!
!

PopupMenuView methodsFor: 'accessing'!

triggerWidget: aWidget
	triggerWgt := aWidget.
!

triggerWidget
	^triggerWgt
!

menuWidget
	^menuWgt
!

lastPopupTime
	^lastTime
!

popupButton: aButton activateTime: aEventTime
	lastTime := aEventTime.
    menuWgt
		popup: nil
		parentMenuItem: nil
        func: 0
        data: nil
		button: aButton
		activateTime: aEventTime.
!

destroy
	"Ref'ing the items does not seem to save them (their children) from destruction."
	itemWgts do: 
		[ :each |
		(each propertiesAt: 'parent') ifNotNil: 
				[ :p | p == menuWgt ifTrue: [ p remove: each.] ]. ].
	itemWgts empty.
	menuWgt destroy
!
!
