"======================================================================
|
| Copyright 2004 Mike Anderson
| Written by Mike Anderson
|
| This file is part of Mumble, a development environment for GNU Smalltalk.
|
| Mumble is free software; you can redistribute it and/or modify it
| under the terms of the GNU General Public License as published by the Free
| Software Foundation; either version 2, or (at your option) any later version.
| 
| Mumble is distributed in the hope that it will be useful, but WITHOUT
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
| FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
| details.
| 
| You should have received a copy of the GNU General Public License along with
| Mumble; see the file COPYING.  If not, write to the Free Software
| Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
|
 ======================================================================
"

Namespace current: GTK.GUI!

GTK.GUI.GuiData subclass: #Application
	instanceVariableNames: 'title'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GUI-Applications'!

Application methodsFor: 'accessing'!

title 
	^title
!

title: atitle
	title := atitle.
	self changeState: #title.
!
!

GTK.GUI.GuiData subclass: #NamespaceData
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GUI-Data'
!

NamespaceData methodsFor: 'change update'!

getCols: aClass
    ^Array with: (aClass name ifNil: [ '' ])
!

getNodes: aNode
    aNode isNil ifTrue: [ ^Array with: Smalltalk ].
    aNode isNamespace ifTrue: [ ^aNode subspaces ].
    ^nil.
!
!

GTK.GUI.WindowView subclass: #TestWindow
	instanceVariableNames: 'tree vbox'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GUI-Testing'!
	
	
TestWindow methodsFor: 'initialization'!

buildSubsidiaryViews
	| d |
	tree := PTree new.
	d := NamespaceData new.
	d changeState: #refresh.
	tree
		buildColumns: #('Namespace');
		nodesMsg: #getNodes:;
		colsMsg: #getCols:;
		data: d;
		stateChange: #refresh updateWith: [tree rebuildTree].
	super add: tree.
!

buildWidgets
	| ebox lbl btn |
	super buildWidgets.

    wnd add: ((ebox := GtkEventBox new) show; yourself).
	self hookupPopupMenuTo: ebox.

	vbox := (GtkVBox new: false spacing: 3) show; yourself.
	ebox add: vbox.
	
	lbl := (GtkLabel new: 'This is a test window') show; yourself.
	vbox packStart: lbl expand: false fill: true padding: 0.
	
	btn := (GtkButton newWithLabel: 'Close') show; yourself.
	vbox packEnd: btn expand: false fill: true padding: 0.
	btn on: 'clicked' send: #close to: self.
!

attachViews
	vbox isNil ifTrue: [ ^self "Not yet initialized" ].
	vbox packStart: tree external expand: true fill: true padding: 0.
!
!

Gtk initializeGtk!

| app tw |
app := (Application new) title: 'Test Application'; yourself.
tw := (TestWindow new).
tw
	stateChange: #title updateWith: [ tw title: tw data title ];
	data: app;
	defaultWidth: 200;
	defaultHeight: 150;
	yourself.
Primitive updateViews.
tw
	show.
!

Namespace current: Smalltalk!

